uniform sampler2D src_tex_unit0;
uniform vec2 src_tex_size1;
varying vec2 texcoord;
void main()
{
	float dw = 1.0 / (src_tex_size1.x * 48.0);
	float dh = 1.0 / (src_tex_size1.y * 48.0);
	vec4 col = texture2D(src_tex_unit0, texcoord);
	vec4 lcol = texture2D(src_tex_unit0, texcoord - vec2(dw,0.0));
	vec4 rcol = texture2D(src_tex_unit0, texcoord + vec2(dw,0.0));
	vec4 ucol = texture2D(src_tex_unit0, texcoord - vec2(0.0,dh));
	vec4 dcol = texture2D(src_tex_unit0, texcoord + vec2(0.0,dh));
	vec4 sum = (lcol+rcol+ucol+dcol) / 4.0;
	if(abs(col.a-sum.a)>0.0)
		gl_FragColor = vec4(1,1,1,0.6);
	else
		gl_FragColor = gl_Color * texture2D(src_tex_unit0, texcoord.xy);
}

