#version 120

attribute vec4 a_vertex;
attribute vec2 a_texcoord;
attribute vec4 a_color;

uniform mat4 u_projection;
uniform vec4 u_color;

varying vec2 texcoord;
varying vec4 v_color;

void main() {
	texcoord = a_texcoord;
	v_color = a_color * u_color;
	gl_Position = u_projection * a_vertex;
}
