#version 120

uniform sampler2D texture0;
varying vec2 texcoord;
varying vec4 v_color;

void main() {
	vec4 c = texture2D(texture0, texcoord.xy) * v_color;
	gl_FragColor =  vec4(1.0 - c.r, 1.0 - c.g, 1.0 - c.b, c.a);
}
